/*
 * Key Map Editor Key Editor Requester
 *
 * by: Tim Friest
 * on: January 9, 1989
 * using: Power Windows 2.5
 */

/*
 * Some standard strings
 */

char	KRAloneString[]	= "Alone";
char	KRShiftString[] = "Shift";
char	KRAltString[] = "Alt";
char	KRShiftAltString[] = "Shift+Alt";
char	KRCtrlString[] = "Ctrl";
char	KRCtrlShiftString[] = "Ctrl+Shift";
char	KRCtrlAltString[] = "Ctrl+Alt";
char	KRVanillaString[] = "Vanilla";

/*
 * Some Standard borders and Gadgets
 */

SHORT KREndGadBordVectors[] = {
	0,0,
	57,0,
	57,13,
	0,13,
	0,0
};
struct Border KREndGadBorder = {
	-1,-1,	/* origin */
	2,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KREndGadBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

struct Border KRQualGadBorder = {
	-1,-1,	/* origin */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KREndGadBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

struct Border KRTypeGadBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KREndGadBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

struct IntuiText KRCancelIText = {
	1,0,JAM1,	/* front and back text pens, drawmode and fill byte */
	5,2,	/* origin */
	NULL,	/* font pointer or NULL for default */
	"Cancel",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget KRCancelGadget = {
	NULL,	/* next gadget */
	150,122,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KREndGadBorder,	/* render border */
	NULL,	/* select image */
	&KRCancelIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xFE,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRUseIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	14,2,	/* origin */
	NULL,	/* font */
	"Use",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRUseGadget = {
	&KRCancelGadget,	/* next gadget */
	40,122,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KREndGadBorder,	/* render border */
	NULL,	/* select image */
	&KRUseIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xFF,	/* GadgetID */
	NULL	/* pointer to user data */
};

#define KRNOPGadgetList &KRUseGadget

/*
 * Key Requester Dead Requester
 */

UBYTE KRDUndoBuffer[5];

/*
 * Dead Key Requester Gadget Borders
 */

SHORT KRDOptBordVectors[] = {
	0,0,
	36,0,
	36,9,
	0,9,
	0,0
};
struct Border KRDOptBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KRDOptBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

SHORT KRDNormalStrBordVectors[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border KRDNormalStrBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KRDNormalStrBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

SHORT KRDModStrBordVectors[] = {
	0,0,
	17,0,
	17,9,
	0,9,
	0,0
};
struct Border KRDModStrBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KRDModStrBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

USHORT chip KRDAccentImageData[] = {
	0xFFFF,0xC000,0x8000,0x4000,0x8000,0x4000,0x8000,0x4000,
	0x8000,0x4000,0x8000,0x4000,0x8000,0x4000,0x8000,0x4000,
	0x8000,0x4000,0xFFFF,0xC000
};
struct Image KRDAccentImage = {
	-1,-1,	/* origin */
	18,10,	/* width and height */
	2,	/* number of bitplanes */
	KRDAccentImageData,	/* ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image */
};

/*
 * Dead Key Requester Gadget Text
 */

struct IntuiText KRDDeadIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	2,0,	/* origin */
	NULL,	/* font */
	"Dead",	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRDModIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	6,0,	/* origin */
	NULL,	/* font */
	"Mod",	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRDAcc5IText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	4,0,	/* origin */
	NULL,	/* font */
	"\xA8",	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRDAcc4IText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	4,0,	/* origin */
	NULL,	/* font */
	"~",	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRDAcc3IText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	4,0,	/* origin */
	NULL,	/* font */
	"^",	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRDAcc2IText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	4,0,	/* origin */
	NULL,	/* font */
	"`",	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRDAcc1IText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	4,0,	/* origin */
	NULL,	/* font */
	"\xB4",	/* text */
	NULL	/* next IntuiText */
};

/*
 * Dead Key Requester Vanilla gadgets
 */

struct Gadget KRDVanillaAcc5Gadget = {
	&KRUseGadget,	/* next gadget */
	218,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xBD,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDVanillaAcc4Gadget = {
	&KRDVanillaAcc5Gadget,	/* next gadget */
	201,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xBC,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDVanillaAcc3Gadget = {
	&KRDVanillaAcc4Gadget,	/* next gadget */
	184,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xBB,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDVanillaAcc2Gadget = {
	&KRDVanillaAcc3Gadget,	/* next gadget */
	167,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xBA,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDVanillaAcc1Gadget = {
	&KRDVanillaAcc2Gadget,	/* next gadget */
	150,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xB9,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDVanillaMod5StrGadSIBuff[5];
struct StringInfo KRDVanillaMod5StrGadSInfo = {
	KRDVanillaMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDVanillaMod5StrGadget = {
	&KRUseGadget,	/* next gadget */
	226,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDVanillaMod5StrGadSInfo,	/* SpecialInfo structure */
	0xB8,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDVanillaMod4StrGadSIBuff[5];
struct StringInfo KRDVanillaMod4StrGadSInfo = {
	KRDVanillaMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDVanillaMod4StrGadget = {
	&KRDVanillaMod5StrGadget,	/* next gadget */
	209,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDVanillaMod4StrGadSInfo,	/* SpecialInfo structure */
	0xB7,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDVanillaMod3StrGadSIBuff[5];
struct StringInfo KRDVanillaMod3StrGadSInfo = {
	KRDVanillaMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDVanillaMod3StrGadget = {
	&KRDVanillaMod4StrGadget,	/* next gadget */
	192,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDVanillaMod3StrGadSInfo,	/* SpecialInfo structure */
	0xB6,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDVanillaMod2StrGadSIBuff[5];
struct StringInfo KRDVanillaMod2StrGadSInfo = {
	KRDVanillaMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDVanillaMod2StrGadget = {
	&KRDVanillaMod3StrGadget,	/* next gadget */
	175,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDVanillaMod2StrGadSInfo,	/* SpecialInfo structure */
	0xB5,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDVanillaMod1StrGadSIBuff[5];
struct StringInfo KRDVanillaMod1StrGadSInfo = {
	KRDVanillaMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDVanillaMod1StrGadget = {
	&KRDVanillaMod2StrGadget,	/* next gadget */
	158,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDVanillaMod1StrGadSInfo,	/* SpecialInfo structure */
	0xB4,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDVanillaMod0StrGadSIBuff[5];
struct StringInfo KRDVanillaMod0StrGadSInfo = {
	KRDVanillaMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDVanillaMod0StrGadget = {
	&KRDVanillaMod1StrGadget,	/* next gadget */
	141,109,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDVanillaMod0StrGadSInfo,	/* SpecialInfo structure */
	0xB3,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDVanillaNormalStrGadSIBuff[5];
struct StringInfo KRDVanillaNormalStrGadSInfo = {
	KRDVanillaNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDVanillaNormalStrGadget = {
	&KRUseGadget,	/* next gadget */
	171,109,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDVanillaNormalStrGadSInfo,	/* SpecialInfo structure */
	0xB2,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDVanillaDeadGadget = {
	&KRDVanillaNormalStrGadget,	/* next gadget */
	105,109,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xB1,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDVanillaModGadget = {
	&KRDVanillaDeadGadget,	/* next gadget */
	69,109,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xB0,	/* GadgetID */
	NULL	/* pointer to user data */
};

/*
 * Dead Key Requester CtrlAlt gadgets
 */

struct Gadget KRDCtrlAltAcc5Gadget = {
	&KRDVanillaModGadget,	/* next gadget */
	218,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xAD,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAltAcc4Gadget = {
	&KRDCtrlAltAcc5Gadget,	/* next gadget */
	201,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xAC,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAltAcc3Gadget = {
	&KRDCtrlAltAcc4Gadget,	/* next gadget */
	184,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xAB,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAltAcc2Gadget = {
	&KRDCtrlAltAcc3Gadget,	/* next gadget */
	167,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xAA,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAltAcc1Gadget = {
	&KRDCtrlAltAcc2Gadget,	/* next gadget */
	150,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xA9,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlAltMod5StrGadSIBuff[5];
struct StringInfo KRDCtrlAltMod5StrGadSInfo = {
	KRDCtrlAltMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlAltMod5StrGadget = {
	&KRDVanillaModGadget,	/* next gadget */
	226,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlAltMod5StrGadSInfo,	/* SpecialInfo structure */
	0xA8,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlAltMod4StrGadSIBuff[5];
struct StringInfo KRDCtrlAltMod4StrGadSInfo = {
	KRDCtrlAltMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlAltMod4StrGadget = {
	&KRDCtrlAltMod5StrGadget,	/* next gadget */
	209,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlAltMod4StrGadSInfo,	/* SpecialInfo structure */
	0xA7,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlAltMod3StrGadSIBuff[5];
struct StringInfo KRDCtrlAltMod3StrGadSInfo = {
	KRDCtrlAltMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlAltMod3StrGadget = {
	&KRDCtrlAltMod4StrGadget,	/* next gadget */
	192,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlAltMod3StrGadSInfo,	/* SpecialInfo structure */
	0xA6,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlAltMod2StrGadSIBuff[5];
struct StringInfo KRDCtrlAltMod2StrGadSInfo = {
	KRDCtrlAltMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlAltMod2StrGadget = {
	&KRDCtrlAltMod3StrGadget,	/* next gadget */
	175,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlAltMod2StrGadSInfo,	/* SpecialInfo structure */
	0xA5,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlAltMod1StrGadSIBuff[5];
struct StringInfo KRDCtrlAltMod1StrGadSInfo = {
	KRDCtrlAltMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlAltMod1StrGadget = {
	&KRDCtrlAltMod2StrGadget,	/* next gadget */
	158,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlAltMod1StrGadSInfo,	/* SpecialInfo structure */
	0xA4,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlAltMod0StrGadSIBuff[5];
struct StringInfo KRDCtrlAltMod0StrGadSInfo = {
	KRDCtrlAltMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlAltMod0StrGadget = {
	&KRDCtrlAltMod1StrGadget,	/* next gadget */
	141,100,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlAltMod0StrGadSInfo,	/* SpecialInfo structure */
	0xA3,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlAltNormalStrGadSIBuff[5];
struct StringInfo KRDCtrlAltNormalStrGadSInfo = {
	KRDCtrlAltNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlAltNormalStrGadget = {
	&KRDVanillaModGadget,	/* next gadget */
	171,100,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlAltNormalStrGadSInfo,	/* SpecialInfo structure */
	0xA2,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAltDeadGadget = {
	&KRDCtrlAltNormalStrGadget,	/* next gadget */
	105,100,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xA1,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAltModGadget = {
	&KRDCtrlAltDeadGadget,	/* next gadget */
	69,100,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0xA0,	/* GadgetID */
	NULL	/* pointer to user data */
};

/*
 * Dead Key Requester CtrlShift gadgets
 */

struct Gadget KRDCtrlShiftAcc5Gadget = {
	&KRDCtrlAltModGadget,	/* next gadget */
	218,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x9D,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlShiftAcc4Gadget = {
	&KRDCtrlShiftAcc5Gadget,	/* next gadget */
	201,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x9C,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlShiftAcc3Gadget = {
	&KRDCtrlShiftAcc4Gadget,	/* next gadget */
	184,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x9B,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlShiftAcc2Gadget = {
	&KRDCtrlShiftAcc3Gadget,	/* next gadget */
	167,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x9A,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlShiftAcc1Gadget = {
	&KRDCtrlShiftAcc2Gadget,	/* next gadget */
	150,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x99,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlShiftMod5StrGadSIBuff[5];
struct StringInfo KRDCtrlShiftMod5StrGadSInfo = {
	KRDCtrlShiftMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlShiftMod5StrGadget = {
	&KRDCtrlAltModGadget,	/* next gadget */
	226,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlShiftMod5StrGadSInfo,	/* SpecialInfo structure */
	0x98,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlShiftMod4StrGadSIBuff[5];
struct StringInfo KRDCtrlShiftMod4StrGadSInfo = {
	KRDCtrlShiftMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlShiftMod4StrGadget = {
	&KRDCtrlShiftMod5StrGadget,	/* next gadget */
	209,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlShiftMod4StrGadSInfo,	/* SpecialInfo structure */
	0x97,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlShiftMod3StrGadSIBuff[5];
struct StringInfo KRDCtrlShiftMod3StrGadSInfo = {
	KRDCtrlShiftMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlShiftMod3StrGadget = {
	&KRDCtrlShiftMod4StrGadget,	/* next gadget */
	192,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlShiftMod3StrGadSInfo,	/* SpecialInfo structure */
	0x96,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlShiftMod2StrGadSIBuff[5];
struct StringInfo KRDCtrlShiftMod2StrGadSInfo = {
	KRDCtrlShiftMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlShiftMod2StrGadget = {
	&KRDCtrlShiftMod3StrGadget,	/* next gadget */
	175,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlShiftMod2StrGadSInfo,	/* SpecialInfo structure */
	0x95,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlShiftMod1StrGadSIBuff[5];
struct StringInfo KRDCtrlShiftMod1StrGadSInfo = {
	KRDCtrlShiftMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlShiftMod1StrGadget = {
	&KRDCtrlShiftMod2StrGadget,	/* next gadget */
	158,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlShiftMod1StrGadSInfo,	/* SpecialInfo structure */
	0x94,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlShiftMod0StrGadSIBuff[5];
struct StringInfo KRDCtrlShiftMod0StrGadSInfo = {
	KRDCtrlShiftMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlShiftMod0StrGadget = {
	&KRDCtrlShiftMod1StrGadget,	/* next gadget */
	141,91,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlShiftMod0StrGadSInfo,	/* SpecialInfo structure */
	0x93,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlShiftNormalStrGadSIBuff[5];
struct StringInfo KRDCtrlShiftNormalStrGadSInfo = {
	KRDCtrlShiftNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlShiftNormalStrGadget = {
	&KRDCtrlAltModGadget,	/* next gadget */
	171,91,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlShiftNormalStrGadSInfo,	/* SpecialInfo structure */
	0x92,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlShiftDeadGadget = {
	&KRDCtrlShiftNormalStrGadget,	/* next gadget */
	105,91,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x91,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlShiftModGadget = {
	&KRDCtrlShiftDeadGadget,	/* next gadget */
	69,91,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x90,	/* GadgetID */
	NULL	/* pointer to user data */
};

/*
 * Dead Key Requester Ctrl gadgets
 */

struct Gadget KRDCtrlAcc5Gadget = {
	&KRDCtrlShiftModGadget,	/* next gadget */
	218,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x8D,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAcc4Gadget = {
	&KRDCtrlAcc5Gadget,	/* next gadget */
	201,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x8C,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAcc3Gadget = {
	&KRDCtrlAcc4Gadget,	/* next gadget */
	184,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x8B,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAcc2Gadget = {
	&KRDCtrlAcc3Gadget,	/* next gadget */
	167,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x8A,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlAcc1Gadget = {
	&KRDCtrlAcc2Gadget,	/* next gadget */
	150,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x89,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlMod5StrGadSIBuff[5];
struct StringInfo KRDCtrlMod5StrGadSInfo = {
	KRDCtrlMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlMod5StrGadget = {
	&KRDCtrlShiftModGadget,	/* next gadget */
	226,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlMod5StrGadSInfo,	/* SpecialInfo structure */
	0x88,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlMod4StrGadSIBuff[5];
struct StringInfo KRDCtrlMod4StrGadSInfo = {
	KRDCtrlMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlMod4StrGadget = {
	&KRDCtrlMod5StrGadget,	/* next gadget */
	209,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlMod4StrGadSInfo,	/* SpecialInfo structure */
	0x87,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlMod3StrGadSIBuff[5];
struct StringInfo KRDCtrlMod3StrGadSInfo = {
	KRDCtrlMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlMod3StrGadget = {
	&KRDCtrlMod4StrGadget,	/* next gadget */
	192,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlMod3StrGadSInfo,	/* SpecialInfo structure */
	0x86,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlMod2StrGadSIBuff[5];
struct StringInfo KRDCtrlMod2StrGadSInfo = {
	KRDCtrlMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlMod2StrGadget = {
	&KRDCtrlMod3StrGadget,	/* next gadget */
	175,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlMod2StrGadSInfo,	/* SpecialInfo structure */
	0x85,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlMod1StrGadSIBuff[5];
struct StringInfo KRDCtrlMod1StrGadSInfo = {
	KRDCtrlMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlMod1StrGadget = {
	&KRDCtrlMod2StrGadget,	/* next gadget */
	158,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlMod1StrGadSInfo,	/* SpecialInfo structure */
	0x84,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlMod0StrGadSIBuff[5];
struct StringInfo KRDCtrlMod0StrGadSInfo = {
	KRDCtrlMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlMod0StrGadget = {
	&KRDCtrlMod1StrGadget,	/* next gadget */
	141,82,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlMod0StrGadSInfo,	/* SpecialInfo structure */
	0x83,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDCtrlNormalStrGadSIBuff[5];
struct StringInfo KRDCtrlNormalStrGadSInfo = {
	KRDCtrlNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDCtrlNormalStrGadget = {
	&KRDCtrlShiftModGadget,	/* next gadget */
	171,82,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDCtrlNormalStrGadSInfo,	/* SpecialInfo structure */
	0x82,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlDeadGadget = {
	&KRDCtrlNormalStrGadget,	/* next gadget */
	105,82,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x81,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDCtrlModGadget = {
	&KRDCtrlDeadGadget,	/* next gadget */
	69,82,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x80,	/* GadgetID */
	NULL	/* pointer to user data */
};

/*
 * Dead Key Requester ShiftAlt Gadgets
 */

struct Gadget KRDShiftAltAcc5Gadget = {
	&KRDCtrlModGadget,	/* next gadget */
	218,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x7D,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAltAcc4Gadget = {
	&KRDShiftAltAcc5Gadget,	/* next gadget */
	201,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x7C,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAltAcc3Gadget = {
	&KRDShiftAltAcc4Gadget,	/* next gadget */
	184,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x7B,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAltAcc2Gadget = {
	&KRDShiftAltAcc3Gadget,	/* next gadget */
	167,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x7A,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAltAcc1Gadget = {
	&KRDShiftAltAcc2Gadget,	/* next gadget */
	150,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x79,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftAltMod5StrGadSIBuff[5];
struct StringInfo KRDShiftAltMod5StrGadSInfo = {
	KRDShiftAltMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftAltMod5StrGadget = {
	&KRDCtrlModGadget,	/* next gadget */
	226,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftAltMod5StrGadSInfo,	/* SpecialInfo structure */
	0x78,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftAltMod4StrGadSIBuff[5];
struct StringInfo KRDShiftAltMod4StrGadSInfo = {
	KRDShiftAltMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftAltMod4StrGadget = {
	&KRDShiftAltMod5StrGadget,	/* next gadget */
	209,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftAltMod4StrGadSInfo,	/* SpecialInfo structure */
	0x77,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftAltMod3StrGadSIBuff[5];
struct StringInfo KRDShiftAltMod3StrGadSInfo = {
	KRDShiftAltMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftAltMod3StrGadget = {
	&KRDShiftAltMod4StrGadget,	/* next gadget */
	192,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftAltMod3StrGadSInfo,	/* SpecialInfo structure */
	0x76,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftAltMod2StrGadSIBuff[5];
struct StringInfo KRDShiftAltMod2StrGadSInfo = {
	KRDShiftAltMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftAltMod2StrGadget = {
	&KRDShiftAltMod3StrGadget,	/* next gadget */
	175,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftAltMod2StrGadSInfo,	/* SpecialInfo structure */
	0x75,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftAltMod1StrGadSIBuff[5];
struct StringInfo KRDShiftAltMod1StrGadSInfo = {
	KRDShiftAltMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftAltMod1StrGadget = {
	&KRDShiftAltMod2StrGadget,	/* next gadget */
	158,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftAltMod1StrGadSInfo,	/* SpecialInfo structure */
	0x74,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftAltMod0StrGadSIBuff[5];
struct StringInfo KRDShiftAltMod0StrGadSInfo = {
	KRDShiftAltMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftAltMod0StrGadget = {
	&KRDShiftAltMod1StrGadget,	/* next gadget */
	141,73,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftAltMod0StrGadSInfo,	/* SpecialInfo structure */
	0x73,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftAltNormalStrGadSIBuff[5];
struct StringInfo KRDShiftAltNormalStrGadSInfo = {
	KRDShiftAltNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftAltNormalStrGadget = {
	&KRDCtrlModGadget,	/* next gadget */
	171,73,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftAltNormalStrGadSInfo,	/* SpecialInfo structure */
	0x72,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAltDeadGadget = {
	&KRDShiftAltNormalStrGadget,	/* next gadget */
	105,73,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x71,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAltModGadget = {
	&KRDShiftAltDeadGadget,	/* next gadget */
	69,73,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x70,	/* GadgetID */
	NULL	/* pointer to user data */
};

/*
 * Dead Key Requester Alt Gadgets
 */

struct Gadget KRDAltAcc5Gadget = {
	&KRDShiftAltModGadget,	/* next gadget */
	218,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x6D,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAltAcc4Gadget = {
	&KRDAltAcc5Gadget,	/* next gadget */
	201,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x6C,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAltAcc3Gadget = {
	&KRDAltAcc4Gadget,	/* next gadget */
	184,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x6B,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAltAcc2Gadget = {
	&KRDAltAcc3Gadget,	/* next gadget */
	167,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x6A,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAltAcc1Gadget = {
	&KRDAltAcc2Gadget,	/* next gadget */
	150,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x69,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAltMod5StrGadSIBuff[5];
struct StringInfo KRDAltMod5StrGadSInfo = {
	KRDAltMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAltMod5StrGadget = {
	&KRDShiftAltModGadget,	/* next gadget */
	226,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAltMod5StrGadSInfo,	/* SpecialInfo structure */
	0x68,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAltMod4StrGadSIBuff[5];
struct StringInfo KRDAltMod4StrGadSInfo = {
	KRDAltMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAltMod4StrGadget = {
	&KRDAltMod5StrGadget,	/* next gadget */
	209,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAltMod4StrGadSInfo,	/* SpecialInfo structure */
	0x67,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAltMod3StrGadSIBuff[5];
struct StringInfo KRDAltMod3StrGadSInfo = {
	KRDAltMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAltMod3StrGadget = {
	&KRDAltMod4StrGadget,	/* next gadget */
	192,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAltMod3StrGadSInfo,	/* SpecialInfo structure */
	0x66,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAltMod2StrGadSIBuff[5];
struct StringInfo KRDAltMod2StrGadSInfo = {
	KRDAltMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAltMod2StrGadget = {
	&KRDAltMod3StrGadget,	/* next gadget */
	175,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAltMod2StrGadSInfo,	/* SpecialInfo structure */
	0x65,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAltMod1StrGadSIBuff[5];
struct StringInfo KRDAltMod1StrGadSInfo = {
	KRDAltMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAltMod1StrGadget = {
	&KRDAltMod2StrGadget,	/* next gadget */
	158,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAltMod1StrGadSInfo,	/* SpecialInfo structure */
	0x64,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAltMod0StrGadSIBuff[5];
struct StringInfo KRDAltMod0StrGadSInfo = {
	KRDAltMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAltMod0StrGadget = {
	&KRDAltMod1StrGadget,	/* next gadget */
	141,64,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAltMod0StrGadSInfo,	/* SpecialInfo structure */
	0x63,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAltNormalStrGadSIBuff[5];
struct StringInfo KRDAltNormalStrGadSInfo = {
	KRDAltNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAltNormalStrGadget = {
	&KRDShiftAltModGadget,	/* next gadget */
	171,64,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAltNormalStrGadSInfo,	/* SpecialInfo structure */
	0x62,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAltDeadGadget = {
	&KRDAltNormalStrGadget,	/* next gadget */
	105,64,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x61,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAltModGadget = {
	&KRDAltDeadGadget,	/* next gadget */
	69,64,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x60,	/* GadgetID */
	NULL	/* pointer to user data */
};

/*
 * Dead Key Requester Shift gadgets
 */

struct Gadget KRDShiftAcc5Gadget = {
	&KRDAltModGadget,	/* next gadget */
	218,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x5D,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAcc4Gadget = {
	&KRDShiftAcc5Gadget,	/* next gadget */
	201,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x5C,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAcc3Gadget = {
	&KRDShiftAcc4Gadget,	/* next gadget */
	184,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x5B,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAcc2Gadget = {
	&KRDShiftAcc3Gadget,	/* next gadget */
	167,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x5A,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftAcc1Gadget = {
	&KRDShiftAcc2Gadget,	/* next gadget */
	150,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x59,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftMod5StrGadSIBuff[5];
struct StringInfo KRDShiftMod5StrGadSInfo = {
	KRDShiftMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftMod5StrGadget = {
	&KRDAltModGadget,	/* next gadget */
	226,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftMod5StrGadSInfo,	/* SpecialInfo structure */
	0x58,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftMod4StrGadSIBuff[5];
struct StringInfo KRDShiftMod4StrGadSInfo = {
	KRDShiftMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftMod4StrGadget = {
	&KRDShiftMod5StrGadget,	/* next gadget */
	209,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftMod4StrGadSInfo,	/* SpecialInfo structure */
	0x57,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftMod3StrGadSIBuff[5];
struct StringInfo KRDShiftMod3StrGadSInfo = {
	KRDShiftMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftMod3StrGadget = {
	&KRDShiftMod4StrGadget,	/* next gadget */
	192,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftMod3StrGadSInfo,	/* SpecialInfo structure */
	0x56,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftMod2StrGadSIBuff[5];
struct StringInfo KRDShiftMod2StrGadSInfo = {
	KRDShiftMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftMod2StrGadget = {
	&KRDShiftMod3StrGadget,	/* next gadget */
	175,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftMod2StrGadSInfo,	/* SpecialInfo structure */
	0x55,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftMod1StrGadSIBuff[5];
struct StringInfo KRDShiftMod1StrGadSInfo = {
	KRDShiftMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftMod1StrGadget = {
	&KRDShiftMod2StrGadget,	/* next gadget */
	158,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftMod1StrGadSInfo,	/* SpecialInfo structure */
	0x54,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftMod0StrGadSIBuff[5];
struct StringInfo KRDShiftMod0StrGadSInfo = {
	KRDShiftMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftMod0StrGadget = {
	&KRDShiftMod1StrGadget,	/* next gadget */
	141,55,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftMod0StrGadSInfo,	/* SpecialInfo structure */
	0x53,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDShiftNormalStrGadSIBuff[5];
struct StringInfo KRDShiftNormalStrGadSInfo = {
	KRDShiftNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDShiftNormalStrGadget = {
	&KRDAltModGadget,	/* next gadget */
	171,55,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDShiftNormalStrGadSInfo,	/* SpecialInfo structure */
	0x52,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftDeadGadget = {
	&KRDShiftNormalStrGadget,	/* next gadget */
	105,55,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x51,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDShiftModGadget = {
	&KRDShiftDeadGadget,	/* next gadget */
	69,55,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x50,	/* GadgetID */
	NULL	/* pointer to user data */
};

/*
 * Dead Key Requester Alone gadgets
 */

struct Gadget KRDAloneAcc5Gadget = {
	&KRDShiftModGadget,	/* next gadget */
	218,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc5IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x4D,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAloneAcc4Gadget = {
	&KRDAloneAcc5Gadget,	/* next gadget */
	201,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc4IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x4C,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAloneAcc3Gadget = {
	&KRDAloneAcc4Gadget,	/* next gadget */
	184,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc3IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x4B,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAloneAcc2Gadget = {
	&KRDAloneAcc3Gadget,	/* next gadget */
	167,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc2IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x4A,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAloneAcc1Gadget = {
	&KRDAloneAcc2Gadget,	/* next gadget */
	150,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	GADGHCOMP|GADGIMAGE,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDAccentImage,	/* render image */
	NULL,	/* select image */
	&KRDAcc1IText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x49,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAloneMod5StrGadSIBuff[5];
struct StringInfo KRDAloneMod5StrGadSInfo = {
	KRDAloneMod5StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAloneMod5StrGadget = {
	&KRDShiftModGadget,	/* next gadget */
	226,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAloneMod5StrGadSInfo,	/* SpecialInfo structure */
	0x48,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAloneMod4StrGadSIBuff[5];
struct StringInfo KRDAloneMod4StrGadSInfo = {
	KRDAloneMod4StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAloneMod4StrGadget = {
	&KRDAloneMod5StrGadget,	/* next gadget */
	209,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAloneMod4StrGadSInfo,	/* SpecialInfo structure */
	0x47,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAloneMod3StrGadSIBuff[5];
struct StringInfo KRDAloneMod3StrGadSInfo = {
	KRDAloneMod3StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAloneMod3StrGadget = {
	&KRDAloneMod4StrGadget,	/* next gadget */
	192,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAloneMod3StrGadSInfo,	/* SpecialInfo structure */
	0x46,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAloneMod2StrGadSIBuff[5];
struct StringInfo KRDAloneMod2StrGadSInfo = {
	KRDAloneMod2StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAloneMod2StrGadget = {
	&KRDAloneMod3StrGadget,	/* next gadget */
	175,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAloneMod2StrGadSInfo,	/* SpecialInfo structure */
	0x45,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAloneMod1StrGadSIBuff[5];
struct StringInfo KRDAloneMod1StrGadSInfo = {
	KRDAloneMod1StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAloneMod1StrGadget = {
	&KRDAloneMod2StrGadget,	/* next gadget */
	158,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAloneMod1StrGadSInfo,	/* SpecialInfo structure */
	0x44,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAloneMod0StrGadSIBuff[5];
struct StringInfo KRDAloneMod0StrGadSInfo = {
	KRDAloneMod0StrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAloneMod0StrGadget = {
	&KRDAloneMod1StrGadget,	/* next gadget */
	141,46,	/* origin of hit box */
	16,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDModStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAloneMod0StrGadSInfo,	/* SpecialInfo structure */
	0x43,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRDAloneNormalStrGadSIBuff[5];
struct StringInfo KRDAloneNormalStrGadSInfo = {
	KRDAloneNormalStrGadSIBuff,	/* buffer where text will be edited */
	KRDUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRDAloneNormalStrGadget = {
	&KRDShiftModGadget,	/* next gadget */
	171,46,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDNormalStrBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRDAloneNormalStrGadSInfo,	/* SpecialInfo structure */
	0x42,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAloneDeadGadget = {
	&KRDAloneNormalStrGadget,	/* next gadget */
	105,46,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDDeadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x41,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct Gadget KRDAloneModGadget = {
	&KRDAloneDeadGadget,	/* next gadget */
	69,46,	/* origin of hit box */
	35,8,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET|REQGADGET,	/* type flags */
	(APTR)&KRDOptBorder,	/* render border */
	NULL,	/* select image */
	&KRDModIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x40,	/* GadgetID */
	NULL	/* pointer to user data */
};

#define KRDeadGadgetList &KRDAloneModGadget

struct IntuiText KRDVanillaIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	10,109,	/* origin */
	NULL,	/* font */
	KRVanillaString,	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRDCtrlAltIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	2,100,	/* origin */
	NULL,	/* font */
	KRCtrlAltString,	/* text */
	&KRDVanillaIText	/* next IntuiText */
};

struct IntuiText KRDCtrlShiftIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	2,91,	/* origin */
	NULL,	/* font */
	"CtrlShft",	/* text */
	&KRDCtrlAltIText	/* next IntuiText */
};

struct IntuiText KRDCtrlIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	34,82,	/* origin */
	NULL,	/* font */
	KRCtrlString,	/* text */
	&KRDCtrlShiftIText	/* next IntuiText */
};

struct IntuiText KRDShiftAltIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	2,73,	/* origin */
	NULL,	/* font */
	"Shft+Alt",	/* text */
	&KRDCtrlIText	/* next IntuiText */
};

struct IntuiText KRDAltIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	42,64,	/* origin */
	NULL,	/* font */
	KRAltString,	/* text */
	&KRDShiftAltIText	/* next IntuiText */
};

struct IntuiText KRDShiftIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	26,55,	/* origin */
	NULL,	/* font */
	KRShiftString,	/* text */
	&KRDAltIText	/* next IntuiText */
};

struct IntuiText KRDAloneIText = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	26,46,	/* origin */
	NULL,	/* font */
	KRAloneString,	/* text */
	&KRDShiftIText	/* next IntuiText */
};

#define KRDeadITextList &KRDAloneIText

/*
 * Key Requester String Requester
 */

SHORT KRSStrGadBordVectors[] = {
	0,0,
	161,0,
	161,9,
	0,9,
	0,0
};
struct Border KRSStrGadBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KRSStrGadBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

UBYTE KRSUndoBuffer[128];

UBYTE KRSVanillaStrGadSIBuff[128];
struct StringInfo KRSVanillaStrGadSInfo = {
	KRSVanillaStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSVanillaStrGadget = {
	&KRUseGadget,	/* next gadget */
	82,109,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSVanillaStrGadSInfo,	/* SpecialInfo structure */
	0x37,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRSCtrlAltStrGadSIBuff[128];
struct StringInfo KRSCtrlAltStrGadSInfo = {
	KRSCtrlAltStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSCtrlAltStrGadget = {
	&KRSVanillaStrGadget,	/* next gadget */
	82,100,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSCtrlAltStrGadSInfo,	/* SpecialInfo structure */
	0x36,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRSCtrlShiftStrGadSIBuff[128];
struct StringInfo KRSCtrlShiftStrGadSInfo = {
	KRSCtrlShiftStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSCtrlShiftStrGadget = {
	&KRSCtrlAltStrGadget,	/* next gadget */
	82,91,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSCtrlShiftStrGadSInfo,	/* SpecialInfo structure */
	0x35,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRSCtrlStrGadSIBuff[128];
struct StringInfo KRSCtrlStrGadSInfo = {
	KRSCtrlStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSCtrlStrGadget = {
	&KRSCtrlShiftStrGadget,	/* next gadget */
	82,82,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSCtrlStrGadSInfo,	/* SpecialInfo structure */
	0x34,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRSShiftAltStrGadSIBuff[128];
struct StringInfo KRSShiftAltStrGadSInfo = {
	KRSShiftAltStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSShiftAltStrGadget = {
	&KRSCtrlStrGadget,	/* next gadget */
	82,73,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSShiftAltStrGadSInfo,	/* SpecialInfo structure */
	0x33,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRSAltStrGadSIBuff[128];
struct StringInfo KRSAltStrGadSInfo = {
	KRSAltStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSAltStrGadget = {
	&KRSShiftAltStrGadget,	/* next gadget */
	82,64,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSAltStrGadSInfo,	/* SpecialInfo structure */
	0x32,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRSShiftStrGadSIBuff[128];
struct StringInfo KRSShiftStrGadSInfo = {
	KRSShiftStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSShiftStrGadget = {
	&KRSAltStrGadget,	/* next gadget */
	82,55,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSShiftStrGadSInfo,	/* SpecialInfo structure */
	0x31,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRSAloneStrGadSIBuff[128];
struct StringInfo KRSAloneStrGadSInfo = {
	KRSAloneStrGadSIBuff,	/* buffer where text will be edited */
	KRSUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	128,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRSAloneStrGadget = {
	&KRSShiftStrGadget,	/* next gadget */
	82,46,	/* origin of hit box */
	160,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRSStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRSAloneStrGadSInfo,	/* SpecialInfo structure */
	0x30,	/* GadgetID */
	NULL	/* pointer to user data */
};

#define KRStringGadgetList &KRSAloneStrGadget

struct IntuiText KRStringIText7 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	23,109,	/* origin */
	NULL,	/* font */
	KRVanillaString,	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRStringIText6 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	16,100,	/* origin */
	NULL,	/* font */
	KRCtrlAltString,	/* text */
	&KRStringIText7	/* next IntuiText */
};

struct IntuiText KRStringIText5 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	0,91,	/* origin */
	NULL,	/* font */
	KRCtrlShiftString,	/* text */
	&KRStringIText6	/* next IntuiText */
};

struct IntuiText KRStringIText4 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	49,82,	/* origin */
	NULL,	/* font */
	KRCtrlString,	/* text */
	&KRStringIText5	/* next IntuiText */
};

struct IntuiText KRStringIText3 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	8,73,	/* origin */
	NULL,	/* font */
	KRShiftAltString,	/* text */
	&KRStringIText4	/* next IntuiText */
};

struct IntuiText KRStringIText2 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	56,64,	/* origin */
	NULL,	/* font */
	KRAltString,	/* text */
	&KRStringIText3	/* next IntuiText */
};

struct IntuiText KRStringIText1 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	40,55,	/* origin */
	NULL,	/* font */
	KRShiftString,	/* text */
	&KRStringIText2	/* next IntuiText */
};

struct IntuiText KRStringIText0 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	40,46,	/* origin */
	NULL,	/* font */
	KRAloneString,	/* text */
	&KRStringIText1	/* next IntuiText */
};

#define KRStringITextList &KRStringIText0

/*
 * Normal Key Requester
 */

SHORT KRNStrGadBordVectors[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border KRNStrGadBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KRNStrGadBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

UBYTE KRNUndoBuffer[5];

UBYTE KRNOpt3StrGadSIBuff[5];
struct StringInfo KRNOpt3StrGadSInfo = {
	KRNOpt3StrGadSIBuff,	/* buffer where text will be edited */
	KRNUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRNOpt3StrGadget = {
	&KRUseGadget,	/* next gadget */
	160,88,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRNStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRNOpt3StrGadSInfo,	/* SpecialInfo structure */
	0x23,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRNOpt2StrGadSIBuff[5];
struct StringInfo KRNOpt2StrGadSInfo = {
	KRNOpt2StrGadSIBuff,	/* buffer where text will be edited */
	KRNUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRNOpt2StrGadget = {
	&KRNOpt3StrGadget,	/* next gadget */
	45,88,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRNStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRNOpt2StrGadSInfo,	/* SpecialInfo structure */
	0x22,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRNOpt1StrGadSIBuff[5];
struct StringInfo KRNOpt1StrGadSInfo = {
	KRNOpt1StrGadSIBuff,	/* buffer where text will be edited */
	KRNUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRNOpt1StrGadget = {
	&KRNOpt2StrGadget,	/* next gadget */
	160,62,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRNStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRNOpt1StrGadSInfo,	/* SpecialInfo structure */
	0x21,	/* GadgetID */
	NULL	/* pointer to user data */
};

UBYTE KRNAloneStrGadSIBuff[5];
struct StringInfo KRNAloneStrGadSInfo = {
	KRNAloneStrGadSIBuff,	/* buffer where text will be edited */
	KRNUndoBuffer,	/* optional undo buffer */
	0,	/* character position in buffer */
	5,	/* maximum number of characters */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

struct Gadget KRNAloneStrGadget = {
	&KRNOpt1StrGadget,	/* next gadget */
	45,62,	/* origin of hit box */
	40,8,	/* hit box width and height */
	NULL,	/* flags */
	RELVERIFY|STRINGCENTER,	/* activation flags */
	STRGADGET|REQGADGET,	/* type flags */
	(APTR)&KRNStrGadBorder,	/* render border */
	NULL,	/* select image */
	NULL,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	(APTR)&KRNAloneStrGadSInfo,	/* SpecialInfo structure */
	0x20,	/* GadgetID */
	NULL	/* pointer to user data */
};

#define KRNormalGadgetList &KRNAloneStrGadget

struct IntuiText KRNormalIText3 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	144,78,	/* origin */
	NULL,	/* font */
	KRShiftAltString,	/* text */
	NULL	/* next IntuiText */
};

struct IntuiText KRNormalIText2 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	54,78,	/* origin */
	NULL,	/* font */
	KRAltString,	/* text */
	&KRNormalIText3	/* next IntuiText */
};

struct IntuiText KRNormalIText1 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	161,53,	/* origin */
	NULL,	/* font */
	KRShiftString,	/* text */
	&KRNormalIText2	/* next IntuiText */
};

struct IntuiText KRNormalIText0 = {
	1,0,JAM1,	/* frontpen, backpen, and drawmode */
	45,53,	/* origin */
	NULL,	/* font */
	KRAloneString,	/* text */
	&KRNormalIText1	/* next IntuiText */
};

#define KRNormalITextList &KRNormalIText0

/*
 * Key Requester Window
 */

SHORT KRRepeatableGadBordVectors[] = {
	0,0,
	92,0,
	92,13,
	0,13,
	0,0
};
struct Border KRRepeatableGadBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KRRepeatableGadBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

struct IntuiText KRRepeatableGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	6,2,	/* origin */
	NULL,	/* font */
	"Repeatable",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRRepeatableGadget = {
	&KRUseGadget,	/* next gadget */
	122,30,	/* origin of hit box */
	91,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRRepeatableGadBorder,	/* render border */
	NULL,	/* select image */
	&KRRepeatableGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x14,	/* GadgetID */
	NULL	/* pointer to user data */
};

SHORT KRCapsableGadBordVectors[] = {
	0,0,
	81,0,
	81,13,
	0,13,
	0,0
};
struct Border KRCapsableGadBorder = {
	-1,-1,	/* origin */
	1,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of vectors */
	KRCapsableGadBordVectors,	/* pointer to vectors */
	NULL	/* next border */
};

struct IntuiText KRCapsableGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	10,2,	/* origin */
	NULL,	/* font */
	"Capsable",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRCapsableGadget = {
	&KRRepeatableGadget,	/* next gadget */
	39,30,	/* origin of hit box */
	80,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRCapsableGadBorder,	/* render border */
	NULL,	/* select image */
	&KRCapsableGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x13,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRCtrlGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	14,2,	/* origin */
	NULL,	/* font */
	"Ctrl",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRCtrlGadget = {
	&KRCapsableGadget,	/* next gadget */
	157,16,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRTypeGadBorder,	/* render border */
	NULL,	/* select image */
	&KRCtrlGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x12,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRAltGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	17,2,	/* origin */
	NULL,	/* font */
	"Alt",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRAltGadget = {
	&KRCtrlGadget,	/* next gadget */
	98,16,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRTypeGadBorder,	/* render border */
	NULL,	/* select image */
	&KRAltGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x11,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRShiftGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	9,2,	/* origin */
	NULL,	/* font */
	"Shift",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRShiftGadget = {
	&KRAltGadget,	/* next gadget */
	39,16,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|ENDGADGET|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRTypeGadBorder,	/* render border */
	NULL,	/* select image */
	&KRShiftGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x10,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRDeadGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	12,2,	/* origin */
	NULL,	/* font */
	"Dead",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRDeadGadget = {
	&KRShiftGadget,	/* next gadget */
	184,2,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRQualGadBorder,	/* render border */
	NULL,	/* select image */
	&KRDeadGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x03,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRStringGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	4,2,	/* origin */
	NULL,	/* font */
	"String",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRStringGadget = {
	&KRDeadGadget,	/* next gadget */
	125,2,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRQualGadBorder,	/* render border */
	NULL,	/* select image */
	&KRStringGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x02,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRNoQualGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	5,2,	/* origin */
	NULL,	/* font */
	"Normal",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRNoQualGadget = {
	&KRStringGadget,	/* next gadget */
	66,2,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRQualGadBorder,	/* render border */
	NULL,	/* select image */
	&KRNoQualGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x01,	/* GadgetID */
	NULL	/* pointer to user data */
};

struct IntuiText KRNOPGadIText = {
	3,0,JAM1,	/* frontpen, backpen, and drawmode */
	17,2,	/* origin */
	NULL,	/* font */
	"NOP",	/* text */
	NULL	/* next IntuiText */
};

struct Gadget KRNOPGadget = {
	&KRNoQualGadget,	/* next gadget */
	7,2,	/* origin of hit box */
	56,12,	/* hit box width and height */
	GADGHCOMP,	/* flags */
	RELVERIFY|TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* type flags */
	(APTR)&KRQualGadBorder,	/* render border */
	NULL,	/* select image */
	&KRNOPGadIText,	/* IntuiText list */
	NULL,	/* mutual-exclude (unused) */
	NULL,	/* SpecialInfo structure */
	0x00,	/* GadgetID */
	NULL	/* pointer to user data */
};

#define KRGadgetList &KRNOPGadget

struct Requester KRRequester = {
	NULL,	/* previous requester (filled by Intuition) */
	2,10,	/* origin relative to window */
	246,138,	/* width and height */
	0,0,	/* relative to these mouse offsets if POINTREL is set */
	KRGadgetList,	/* list */
	NULL,	/* box's border */
	NULL,	/* text */
	NULL,	/* flags */
	0,	/* back-plane fill pen */
	NULL,	/* reserved */
	NULL,	/* custom bitmap if PREDRAWN is set */
	NULL	/* reserved */
};

#define	KRWLEFTEDGE	130
#define	KRWTOPEDGE	19

struct NewWindow NewKeyReqWindow = {
	KRWLEFTEDGE,KRWTOPEDGE,	/* origin */
	250,150,	/* width and height */
	0,1,	/* detail and block pens */
	GADGETUP|REQSET,	/* GadgetIDCMP flags */
	WINDOWDRAG|ACTIVATE|NOCAREREFRESH,	/* flags */
	NULL,	/* Gadget list */
	NULL,	/* custom CHECKMARK imagery */
	"Key Map Editor - Key Editor",	/* title */
	NULL,	/* custom screen pointer */
	NULL,	/* custom bitmap */
	250,150,	/* minimum width and height */
	-1,-1,	/* maximum width and height */
	WBENCHSCREEN	/* destination screen type */
};
